#!/usr/bin/env python3

import sys

import orig
import parser


def main():
    if len(sys.argv) < 2:
        print('Operation not specified.')
        sys.exit(1)

    if sys.argv[1] == 'generate':
        parser.parse_to_csv()
    elif sys.argv[1] == 'translate':
        orig.process_sections()


if __name__ == "__main__":
    main()
